
<?php $__env->startSection('title','Customer Account'); ?>
<?php $__env->startSection('content'); ?>
<section class="customer-section">
    <div class="container">
        <div class="row">
            <div class="col-sm-3">
                <ul>
                    <li><a href="<?php echo e(route('customer.account')); ?>" class="m-2 btn btn-primary <?php echo e(request()->is('customer/account')?'active':''); ?>"><i data-feather="user"></i> My Account</a></li>
                    <li><a href="<?php echo e(route('customer.orders')); ?>" class="m-2 btn btn-primary <?php echo e(request()->is('customer/orders')?'active':''); ?>"><i data-feather="database"></i> My Order</a></li>
                    <li><a href="<?php echo e(route('customer.profile_edit')); ?>" class="m-2 btn btn-primary <?php echo e(request()->is('customer/profile-edit')?'active':''); ?>"><i data-feather="edit"></i> Profile Edit</a></li>
                    <li><a href="<?php echo e(route('customer.change_pass')); ?>" class="m-2 btn btn-primary <?php echo e(request()->is('customer/change-password')?'active':''); ?>"><i data-feather="lock"></i> Change Password</a></li>
                    <li><a class="m-2 btn btn-primary" href="<?php echo e(route('customer.logout')); ?>"
                        onclick="event.preventDefault();
                        document.getElementById('logout-form').submit();"><i data-feather="log-out"></i> Logout</a></li>
                    <form id="logout-form" action="<?php echo e(route('customer.logout')); ?>" method="POST" style="display: none;">
                        <?php echo csrf_field(); ?>
                    </form>
                </ul>
                <div class="customer-auth">
                    <div class="customer-img">
                        <img src="<?php echo e(asset(Auth::guard('customer')->user()->image)); ?>" alt="">
                    </div>
                    <div class="customer-name">
                        <p><small>Hello</small></p>
                        <p><?php echo e(Auth::guard('customer')->user()->name); ?></p>
                    </div>
                </div>
            </div>
            <div class="col-sm-9">
                <div class="customer-content">
                    <h5 class="account-title">My Account</h5>
                    <table class="table">
                        <?php
                            $customer = \App\Models\Customer::with('cust_area')->find(Auth::guard('customer')->user()->id);
                        ?>
                        <tbody>
                            <tr>
                                <td>Name</td>
                                <td><?php echo e($customer->name); ?></td>
                            </tr>
                            <tr>
                                <td>Phone</td>
                                <td><?php echo e($customer->phone); ?></td>
                            </tr>
                            <tr>
                                <td>Email</td>
                                <td><?php echo e($customer->email); ?></td>
                            </tr>
                            <tr>
                                <td>Address</td>
                                <td><?php echo e($customer->address); ?></td>
                            </tr>
                            <tr>
                                <td>Disctrict</td>
                                <td><?php echo e($customer->district); ?></td>
                            </tr>
                            <tr>
                                <td>Area</td>
                                <td><?php echo e($customer->cust_area?$customer->cust_area->area_name:''); ?></td>
                            </tr>
                            <tr>
                                <td>Image</td>
                                <td><img src="<?php echo e(asset($customer->image)); ?>" alt="" class="backend_img"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
<script src="<?php echo e(asset('public/frontEnd/')); ?>/js/parsley.min.js"></script>
<script src="<?php echo e(asset('public/frontEnd/')); ?>/js/form-validation.init.js"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('frontEnd.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/ibajarco/public_html/resources/views/frontEnd/layouts/customer/account.blade.php ENDPATH**/ ?>